package cygx

import (
	"github.com/beego/beego/v2/client/orm"
	"time"
)

type CygxReportSelectionChartLog struct {
	ArticleSunId      int       `orm:"column(article_sun_id);pk"description:"子级报告id"`
	ArticleId         int       `description:"父级报告Id"`
	ChartPermissionId int       `description:"行业ID"`
	CreateTime        time.Time `description:"创建时间"`
	Body              string    `description:"内容"`
}

type CygxReportSelectionChartLogRep struct {
	ChartPermissionId   int    `description:"行业ID"`
	ChartPermissionName string `description:"行业ID"`
	BodyChartSummary    string `orm:"column(body)"description:"内容"`
}

type AddCygxReportSelectionChartLog struct {
	ChartPermissionId   int    `description:"行业ID"`
	ChartPermissionName string `description:"行业ID"`
	BodyChartSummary    string `orm:"column(body)"description:"内容"`
}

func GetCygxReportSelectionChartLogRepList(articleId int) (items []*CygxReportSelectionChartLogRep, err error) {
	o := orm.NewOrmUsingDB("hz_cygx")
	sql := `SELECT l.*
			FROM cygx_report_selection_chart_log AS l
			WHERE  1= 1 AND article_id=?  `
	_, err = o.Raw(sql, articleId).QueryRows(&items)
	return
}
